Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core.renderer
Class EMFFormsSpreadsheetElementRendererService

    java.lang.Object
      org.eclipse.emfforms.internal.spreadsheet.core.renderer.EMFFormsSpreadsheetElementRendererService

All Implemented Interfaces:
  EMFFormsSpreadsheetRendererService<VElement>

    public class EMFFormsSpreadsheetElementRendererService

extends Object
implements EMFFormsSpreadsheetRendererService<VElement>

The `EMFFormsSpreadsheetRendererService` for `VElement`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetRendererService
`NOT_APPLICABLE`

Constructor Summary
`EMFFormsSpreadsheetElementRendererService()`

Method Summary
`EMFFormsAbstractSpreadsheetRenderer<VElement>` | `getRendererInstance(VElement vElement, ViewModelContext viewModelContext)` Returns a renderer.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the `EMFFormsAbstractSpreadsheetRenderer` provided by `EMFFormsSpreadsheetRendererService.getRendererInstance(VElement, ViewModelContext)`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetElementRendererService

    public EMFFormsSpreadsheetElementRendererService()

Method Detail

### isApplicable

    public double isApplicable(VElement vElement,
                               ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the `EMFFormsAbstractSpreadsheetRenderer` provided by `EMFFormsSpreadsheetRendererService.getRendererInstance(VElement, ViewModelContext)`.

  Specified by:
    `isApplicable` in interface `EMFFormsSpreadsheetRendererService<VElement>`
  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    `EMFFormsSpreadsheetRendererService.NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise
  See Also:
    `EMFFormsSpreadsheetRendererService.isApplicable(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### getRendererInstance

    public EMFFormsAbstractSpreadsheetRenderer<VElement> getRendererInstance(VElement vElement,
                                                                             ViewModelContext viewModelContext)

  Returns a renderer.

  Specified by:
    `getRendererInstance` in interface `EMFFormsSpreadsheetRendererService<VElement>`
  Parameters:
    `vElement` - The `VElement` to create the renderer instance for
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    The AbstractSWTRenderer
  See Also:
    `EMFFormsSpreadsheetRendererService.getRendererInstance(org.eclipse.emf.ecp.view.spi.model.VElement, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.